%define fname	random2

Name:		python-random2
Summary:	Python 2’s random module for Python 3
Version:	1.0.1
Release:	%mkrel 1
Source0:	%{fname}-%{version}.zip
URL:		https://pypi.python.org/pypi/random2
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	python-setuptools

%description
This package provides a Python 3 ported version of Python 2.7’s
random module. It has also been back-ported to work in Python 2.6.

%package -n python3-random2
Summary:	Python 2’s random module for Python 3
Group:		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-random2
This package provides a Python 3 ported version of Python 2.7’s
random module. It has also been back-ported to work in Python 2.6.

%prep
%setup -q -n %{fname}-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%doc README.txt
%{python2_sitelib}/%{fname}*

%files -n python3-random2
%doc README.txt
%{python3_sitelib}/%{fname}*


%changelog
* Fri Mar 18 2022 TerryN <terryn94 at gmail.com> 1.0.1-1pclos2022
- rebuild for python 3.10
